geoip_org_by_name
geoip_region_by_name
GeoIP Functions
PHP Manual

# geoip_record_by_name

(PECL geoip:0.2.0-1.0.1)

geoip_record_by_name — Returns the detailed City information found in the GeoIP Database

### Description

array geoip_record_by_name ( string `$hostname` )

The geoip_record_by_name() function will return the record information corresponding to a hostname or an IP address.

This function is available for both GeoLite City Edition and commercial GeoIP City Edition. A warning will be issued if the proper database cannot be located.

The names of the different keys of the returning associative array are as follows:

- "country_code" -- Two letter country code (see geoip_country_code_by_name())
- "region" -- The region code (ex: CA for California)
- "city" -- The city.
- "postal_code" -- The Postal Code, FSA or Zip Code.
- "latitude" -- The Latitude as signed double.
- "longitude" -- The Longitude as signed double.
- "dma_code"
- "area_code" -- The PSTN area code (ex: 212)

### Parameters

`hostname`

  The hostname or IP address whose record is to be looked-up.

### Return Values

Returns the associative array on success, or `FALSE` if the address cannot be found in the database.

### Examples

Example #1 A geoip_record_by_name() example

This will print the array containing the record of host example.com.

`<?php
$record = geoip_record_by_name('www.example.com');
if ($record) {
print_r($record);
}
?>`

The above example will output:

    Array
    (
        [country_code] => US
        [region] => CA
        [city] => Marina Del Rey
        [postal_code] =>
        [latitude] => 33.9776992798
        [longitude] => -118.435096741
        [dma_code] => 803
        [area_code] => 310
    )

geoip_org_by_name
geoip_region_by_name
GeoIP Functions
PHP Manual